/**
 * GGFilter.java
 *
 * JavaGear File Filters (Code from "Core Java Volume #1")
 *
 * @author Copyright (C) 2002 Chris White
 * @version 17th March 2002
 * @see "JavaGear Final Project Report"
 */

 /*
   This file is part of JavaGear.

   JavaGear is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   JavaGear is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with JavaGear; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import java.io.*;

public class GGFilter extends RomFilter
{
  public boolean accept(File f)
  {
  	// Allow directories
	if (f.isDirectory())
  	    return true;

  	String extension = super.getExtension(f);

    if (extension.equals("gg"))
    	return true;

	// If not a directory or gg file...
    	return false;
  }

  public String getDescription()
  {
      	return "Sega Game Gear ROMs (*.GG)";
  }
}