/**
 * InterruptLine.java
 *
 * Virtual Z80 Interrupt Line
 *
 * @author Copyright (C) 2002 Chris White
 * @version 6th March 2002
 * @see "JavaGear Final Project Report"
 */

 /*
   This file is part of JavaGear.

   JavaGear is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   JavaGear is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with JavaGear; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

public final class InterruptLine
{
	// Status of Interrupt Line
	private boolean line;


	/**
	 *	InterruptLine Constructor.
	 *	Line Status Defaults to False.
     */

	public InterruptLine()
	{
		line = false;
	}


	/**
	 *	Set the Interrupt Line.
	 *
	 *	@param	b	true asserts the line. false clears the line.
     */

	public void setLine(boolean b)
	{
		line = b;
	}


	/**
	 *	Gets the Status of the Interrupt Line.
	 *
	 *	@return		if true the line is asserted. if false the line is clear.
     */

	public boolean getLine()
	{
		return line;
	}
}