/**
 * RomFilter.java
 *
 * JavaGear File Filters (Code from "Core Java Volume #1")
 *
 * @author Copyright (C) 2002 Chris White
 * @version 17th March 2002
 * @see "JavaGear Final Project Report"
 */

 /*
    This file is part of JavaGear.

    JavaGear is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    JavaGear is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with JavaGear; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import java.io.*;
import javax.swing.filechooser.FileFilter;

public class RomFilter extends FileFilter
{

  public boolean accept(File f)
  {
  	// Allow directories
	if (f.isDirectory())
  	    return true;

  	String extension = getExtension(f);

    if (extension.equals("sms"))
    	return true;
    if (extension.equals("gg"))
    	return true;
	if (extension.equals("zip"))
		return true;

	// If not a directory or sms file...
    	return false;
  }

  public String getDescription()
  {
      	return "All ROMs (*.SMS, *.GG, *.ZIP)";
  }

  // Convert extension to lowercase
  public String getExtension(File f)
  {
    String s = f.getName();
    int i = s.lastIndexOf('.');
    if (i > 0 && i < s.length() - 1)
      return s.substring(i+1).toLowerCase();
    return "";
  }
}
